Index: code/branches/pickupsFS14/src/modules/jump/Jump.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/Jump.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/Jump.h	(revision 10111)
@@ -27,76 +27,34 @@
  */
 
-/**
-    @file Jump.h
-    @brief Declaration of the Jump class.
-    @ingroup Jump
-*/
-
 #ifndef _Jump_H__
 #define _Jump_H__
 
 #include "jump/JumpPrereqs.h"
-
 #include "tools/Timer.h"
 #include "graphics/Camera.h"
-
 #include "gametypes/Deathmatch.h"
 #include "JumpCenterpoint.h"
-
 #include <list>
 
 namespace orxonox
 {
-
-    /**
-    @brief
-        Implements a Jump minigame (<a href="http://en.wikipedia.org/wiki/Jump">Wikipedia::Jump</a>).
-        It connects the different entities present in a game of Jump.
-
-        - The @ref orxonox::JumpCenterpoint "JumpCenterpoint" is the playing field for the Jump minigame, it allows for configuration of the minigame, e.g. by setting the size of the playing field, or the length of the @ref orxonox::JumpFigure "JumpFigures". The playing field is always in the x,y-plane, the x-axis being the horizontal and the z-axis being the vertical axis.<br />
-        The Jump class redistributes the important parameters defined in @ref orxonox::JumpCenterpoint "JumpCenterpoint" to the other entities, that need to know them, e.g. the @ref orxonox::JumpPlatform "JumpPlatform" and the @ref orxonox::JumpFigure "JumpFigures".<br />
-        The @ref orxonox::JumpCenterpoint "JumpCenterpoint" needs to exist in a level with the @ref orxonox::Gametype "Gametype" <em>Jump</em>.
-        - The @ref orxonox::JumpPlatform "JumpPlatform" is the ball both players play with. The @ref orxonox::JumpPlatform "JumpPlatform" both implements the movement of the ball, as well as the influence of the boundaries and consequently, also the bouncing (off the upper and lower delimiters, and as off the @ref orxonox::JumpFigure "JumpFigures") of the ball and the effects of the failure of a player to catch the ball (i.e. the scoring of the other player).
-        - The two @ref orxonox::JumpFigure "JumpFigures" are the entities through which the players can actively participate in the game, by controlling them. The @ref orxonox::JumpFigure "JumpFigure" class manages the movement (and restrictions thereof) and the influence of the players on the bats.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport Jump : public Deathmatch
     {
         public:
-            Jump(Context* context); //!< Constructor. Registers and initializes the object.
-            virtual ~Jump(); //!< Destructor. Cleans up, if initialized.
-
+            Jump(Context* context);
+            virtual ~Jump();
             virtual void tick(float dt);
-
-            virtual void start(); //!< Starts the Jump minigame.
-            virtual void end(); ///!< Ends the Jump minigame.
-
-            virtual void spawnPlayer(PlayerInfo* player); //!< Spawns the input player.
-
-            virtual void playerScored(PlayerInfo* player, int score = 1); //!< Is called when the player scored.
-
+            virtual void start();
+            virtual void end();
+            virtual void spawnPlayer(PlayerInfo* player);
             int getScore(PlayerInfo* player) const;
             bool getDead(PlayerInfo* player) const;
-
-            /**
-            @brief Set the JumpCenterpoint (the playing field).
-            @param center A pointer to the JumpCenterpoint to be set.
-            */
             void setCenterpoint(JumpCenterpoint* center)
                 { center_ = center; }
-            void setConfigValues(); //!< Makes scoreLimit configurable.
-
-            PlayerInfo* getPlayer() const; //!< Get the left player.
+            PlayerInfo* getPlayer() const;
 
         protected:
-            void startBall(); //!< Starts the ball with some default speed.
-            void cleanup(); //!< Cleans up the Gametype by destroying the ball and the bats.
-
+            void cleanup();
             virtual void addPlatform(JumpPlatform* newPlatform, std::string platformTemplate, float xPosition, float zPosition);
-
             virtual JumpPlatformStatic* addPlatformStatic(float xPosition, float zPosition);
             virtual JumpPlatformHMove* addPlatformHMove(float xPosition, float zPosition, float leftBoundary, float rightBoundary, float speed);
@@ -117,9 +75,7 @@
             virtual void addShield(float xPosition, float zPosition, float leftBoundary, float rightBoundary, float lowerBoundary, float upperBoundary, float xVelocity, float zVelocity);
             virtual void addShield(JumpPlatform* platform);
-
             virtual void addStartSection();
             virtual void addSection();
             virtual bool addAdventure(int number);
-
             virtual float randomXPosition();
             virtual float randomXPosition(int totalColumns, int culomn);
@@ -129,15 +85,12 @@
             virtual float randomZPositionLower(int totalRows, int row, float sectionBegin, float SectionEnd);
             virtual float randomZPositionUpper(int totalRows, int row, float sectionBegin, float SectionEnd);
-
             virtual float randomPosition(float lowerBoundary, float upperBoundary);
             virtual float randomSpeed();
 
-            WeakPtr<JumpCenterpoint> center_; //!< The playing field.
-            WeakPtr<JumpFigure> figure_; //!< The two bats.
+            WeakPtr<JumpCenterpoint> center_;
+            WeakPtr<JumpFigure> figure_;
             WeakPtr<Camera> camera;
-            int scoreLimit_; //!< If a player scored that much points, the game is ended.
-
-            float totalScreenShift;
-            float screenShiftSinceLastUpdate;
+            float totalScreenShift_;
+            float screenShiftSinceLastUpdate_;
             int sectionNumber_;
             int adventureNumber_;
Index: code/branches/pickupsFS14/src/modules/jump/JumpBoots.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpBoots.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpBoots.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpBoots.cc
-    @brief Implementation of the JumpBoots class.
+    @brief These boots give the figure a speed bonus when it jumpes.
 */
 
@@ -48,8 +48,4 @@
     RegisterClass(JumpBoots);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpBoots::JumpBoots(Context* context) : JumpItem(context)
     {
@@ -57,4 +53,5 @@
 
         fuel_ = 3.0;
+        attachedToFigure_ = false;
 
         setPosition(Vector3(0,0,0));
@@ -64,8 +61,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpBoots::~JumpBoots()
     {
@@ -73,5 +66,4 @@
     }
 
-    //xml port for loading sounds
     void JumpBoots::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -79,11 +71,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpBoots::tick(float dt)
     {
@@ -116,8 +101,4 @@
 
     	attachedToFigure_ = figure_->StartBoots(this);
-    	if (attachedToFigure_)
-    	{
-    		//Starte Feuer-Animation
-    	}
     }
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpBoots.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpBoots.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpBoots.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -27,17 +27,9 @@
  */
 
-/**
-    @file JumpBoots.h
-    @brief Declaration of the JumpBoots class.
-    @ingroup Jump
-*/
-
 #ifndef _JumpBoots_H__
 #define _JumpBoots_H__
 
 #include "jump/JumpPrereqs.h"
-
 #include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
 
@@ -45,16 +37,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpBoots : public JumpItem
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpCenterpoint.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpCenterpoint.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpCenterpoint.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,12 +29,10 @@
 /**
     @file JumpCenterpoint.cc
-    @brief Implementation of the JumpCenterpoint class.
+    @brief The JumpCenterpoint is a StaticEntity which represents the level of the minigame. All platforms, enemies and items are attached to the JumpCenterpoint.
 */
 
 #include "JumpCenterpoint.h"
-
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include "Jump.h"
 
@@ -43,25 +41,16 @@
     RegisterClass(JumpCenterpoint);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object and checks whether the gametype is actually Jump.
-    */
     JumpCenterpoint::JumpCenterpoint(Context* context) : StaticEntity(context)
     {
         RegisterObject(JumpCenterpoint);
 
-        // Variablen hier veraendern nuetzt nichts! Diese Variablen koennen in Level-File initialisiert werden.
-        width_ = 200;
-        height_ = 120;
-        sectionLength_ = 120;
-        platformSpeed_ = 20.0;
+        width_ = 0.0;
+        height_ = 0.0;
+        sectionLength_ = 0.0;
+        platformSpeed_ = 0.0;
 
         checkGametype();
     }
 
-    /**
-    @brief
-        Method to create a JumpCenterpoint through XML.
-    */
     void JumpCenterpoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -91,23 +80,14 @@
     }
 
-    /**
-    @brief
-        Is called when the gametype has changed.
-    */
     void JumpCenterpoint::changedGametype()
     {
         SUPER(JumpCenterpoint, changedGametype);
 
-        // Check, whether it's still Jump.
         checkGametype();
     }
 
-    /**
-    @brief
-        Checks whether the gametype is Jump and if it is, sets its centerpoint.
-    */
     void JumpCenterpoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(Jump)))
+        if (getGametype() != NULL && this->getGametype()->isA(Class(Jump)))
         {
             Jump* jumpGametype = orxonox_cast<Jump*>(this->getGametype().get());
Index: code/branches/pickupsFS14/src/modules/jump/JumpCenterpoint.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpCenterpoint.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpCenterpoint.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpCenterpoint.h
-    @brief Declaration of the JumpCenterpoint class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpCenterpoint_H__
@@ -112,9 +106,5 @@
         
         For a more elaborate example, have a look at the <code>jump.oxw</code> level file.
-    
-    @author
-        Fabian 'x3n' Landau
-        
-    @ingroup Jump
+
     */
     class _JumpExport JumpCenterpoint : public StaticEntity
@@ -123,178 +113,114 @@
             JumpCenterpoint(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Jump.
             virtual ~JumpCenterpoint() {}
-
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a JumpCenterpoint through XML.
-
-            virtual void changedGametype(); //!< Is called when the gametype has changed.
-
-
+            virtual void changedGametype();
             void setPlatformStaticTemplate(const std::string& balltemplate)
                 { this->platformStaticTemplate_ = balltemplate; }
-
             const std::string& getPlatformStaticTemplate() const
                 { return this->platformStaticTemplate_; }
-
             void setPlatformHMoveTemplate(const std::string& balltemplate)
                 { this->platformHMoveTemplate_ = balltemplate; }
-
             const std::string& getPlatformHMoveTemplate() const
                 { return this->platformHMoveTemplate_; }
-
             void setPlatformVMoveTemplate(const std::string& balltemplate)
                 { this->platformVMoveTemplate_ = balltemplate; }
-
             const std::string& getPlatformVMoveTemplate() const
                 { return this->platformVMoveTemplate_; }
-
             void setPlatformDisappearTemplate(const std::string& balltemplate)
                 { this->platformDisappearTemplate_ = balltemplate; }
-
             const std::string& getPlatformDisappearTemplate() const
                 { return this->platformDisappearTemplate_; }
-
             void setPlatformTimerTemplate(const std::string& balltemplate)
                 { this->platformTimerTemplate_ = balltemplate; }
-
             const std::string& getPlatformTimerTemplate() const
                 { return this->platformTimerTemplate_; }
-
             void setPlatformFakeTemplate(const std::string& balltemplate)
                 { this->platformFakeTemplate_ = balltemplate; }
-
             const std::string& getPlatformFakeTemplate() const
                 { return this->platformFakeTemplate_; }
-
             void setProjectileTemplate(const std::string& newTemplate)
                 { this->projectileTemplate_ = newTemplate; }
-
             const std::string& getProjectileTemplate() const
                 { return this->projectileTemplate_; }
-
             void setSpringTemplate(const std::string& newTemplate)
                 { this->springTemplate_ = newTemplate; }
-
             const std::string& getSpringTemplate() const
                 { return this->springTemplate_; }
-
             void setRocketTemplate(const std::string& newTemplate)
                 { this->rocketTemplate_ = newTemplate; }
-
             const std::string& getRocketTemplate() const
                 { return this->rocketTemplate_; }
-
             void setPropellerTemplate(const std::string& newTemplate)
                 { this->propellerTemplate_ = newTemplate; }
-
             const std::string& getPropellerTemplate() const
                 { return this->propellerTemplate_; }
-
             void setBootsTemplate(const std::string& newTemplate)
                 { this->bootsTemplate_ = newTemplate; }
-
             const std::string& getBootsTemplate() const
                 { return this->bootsTemplate_; }
-
             void setShieldTemplate(const std::string& newTemplate)
                 { this->shieldTemplate_ = newTemplate; }
-
             const std::string& getShieldTemplate() const
                 { return this->shieldTemplate_; }
-
             void setFigureTemplate(const std::string& newTemplate)
                 { this->figureTemplate_ = newTemplate; }
-
             const std::string& getFigureTemplate() const
                 { return this->figureTemplate_; }
-
             void setEnemy1Template(const std::string& newTemplate)
                 { this->enemy1Template_ = newTemplate; }
-
             const std::string& getEnemy1Template() const
                 { return this->enemy1Template_; }
-
             void setEnemy2Template(const std::string& newTemplate)
                 { this->enemy2Template_ = newTemplate; }
-
             const std::string& getEnemy2Template() const
                 { return this->enemy2Template_; }
-
             void setEnemy3Template(const std::string& newTemplate)
                 { this->enemy3Template_ = newTemplate; }
-
             const std::string& getEnemy3Template() const
                 { return this->enemy3Template_; }
-
             void setEnemy4Template(const std::string& newTemplate)
                 { this->enemy4Template_ = newTemplate; }
-
             const std::string& getEnemy4Template() const
                 { return this->enemy4Template_; }
-
-
-            /**
-            @brief Set the dimensions of the playing field.
-            @param dimension A vector with the width of the playing field as first component and the height as second.
-            */
             void setFieldDimension(const Vector2& dimension)
                 { this->width_ = dimension.x; this->height_ = dimension.y; }
-            /**
-            @brief Get the dimensions of the playing field.
-            @return Returns a vector with the width of the playing field as first component and the height as second.
-            */
             Vector2 getFieldDimension() const
                 { return Vector2(this->width_, this->height_); }
-
-            /**
-            @brief Set the dimensions of the playing field.
-            @param dimension A vector with the width of the playing field as first component and the height as second.
-            */
             void setSectionLength(const float sectionLength)
                 { this->sectionLength_ = sectionLength; }
-            /**
-            @brief Get the dimensions of the playing field.
-            @return Returns a vector with the width of the playing field as first component and the height as second.
-            */
             float getSectionLength() const
                 { return sectionLength_; }
-
             void setPlatformSpeed(const float platformSpeed)
                 { this->platformSpeed_ = platformSpeed; }
-
             float getPlatformSpeed() const
                 { return platformSpeed_; }
-
             void setCameraOffset(const float cameraOffset)
                 { this->cameraOffset_ = cameraOffset; }
-
             float getCameraOffset() const
                 { return cameraOffset_; }
-
-
         private:
-            void checkGametype(); //!< Checks whether the gametype is Jump and if it is, sets its centerpoint.
-
-            std::string platformStaticTemplate_; //!< The template for the ball.
-            std::string platformHMoveTemplate_; //!< The template for the ball.
-            std::string platformVMoveTemplate_; //!< The template for the ball.
-            std::string platformDisappearTemplate_; //!< The template for the ball.
-            std::string platformTimerTemplate_; //!< The template for the ball.
-            std::string platformFakeTemplate_; //!< The template for the ball.
-            std::string projectileTemplate_; //!< The template for the ball.
-            std::string springTemplate_; //!< The template for the ball.
-            std::string rocketTemplate_; //!< The template for the ball.
-            std::string propellerTemplate_; //!< The template for the ball.
-            std::string bootsTemplate_; //!< The template for the ball.
-            std::string shieldTemplate_; //!< The template for the ball.
-            std::string figureTemplate_; //!< The template for the bats.
-            std::string enemy1Template_; //!< The template for the bats.
-            std::string enemy2Template_; //!< The template for the bats.
-            std::string enemy3Template_; //!< The template for the bats.
-            std::string enemy4Template_; //!< The template for the bats.
-
-            float width_; //!< The height of the playing field.
-            float height_; //!< The width of the playing field.
-            float sectionLength_; //!< Height of one section
-            float platformSpeed_; //!< Height of one section
-            float cameraOffset_; //!< Height of one section
+            void checkGametype();
+            std::string platformStaticTemplate_;
+            std::string platformHMoveTemplate_;
+            std::string platformVMoveTemplate_;
+            std::string platformDisappearTemplate_;
+            std::string platformTimerTemplate_;
+            std::string platformFakeTemplate_;
+            std::string projectileTemplate_;
+            std::string springTemplate_;
+            std::string rocketTemplate_;
+            std::string propellerTemplate_;
+            std::string bootsTemplate_;
+            std::string shieldTemplate_;
+            std::string figureTemplate_;
+            std::string enemy1Template_;
+            std::string enemy2Template_;
+            std::string enemy3Template_;
+            std::string enemy4Template_;
+            float width_;
+            float height_;
+            float sectionLength_;
+            float platformSpeed_;
+            float cameraOffset_;
     };
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpEnemy.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpEnemy.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpEnemy.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpEnemy.cc
-    @brief Implementation of the JumpEnemy class.
+    @brief All enemies in the minigame inherit from this class. This class manages the movement of all enemies and allows enemies to touch the figure to kill it.
 */
 
Index: code/branches/pickupsFS14/src/modules/jump/JumpEnemy.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpEnemy.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpEnemy.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -45,16 +45,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpEnemy : public MovableEntity
     {
@@ -62,29 +50,12 @@
             JumpEnemy(Context* context);
             virtual ~JumpEnemy();
-
             virtual void tick(float dt);
-
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            /**
-            @brief Set the dimensions of the playing field.
-            @param width The width of the playing field.
-            @param height The height of the playing field.
-            */
             void setFieldDimension(float width, float height)
                 { this->fieldWidth_ = width; this->fieldHeight_ = height; }
-            /**
-            @brief Get the dimensions of the playing field.
-            @param dimension A vector with the width as the first and height as the second component.
-            */
             void setFieldDimension(const Vector2& dimension)
                 { this->setFieldDimension(dimension.x, dimension.y); }
-            /**
-            @brief Get the dimensions of the playing field.
-            @return Returns a vector with the width as the first and height as the second component.
-            */
             Vector2 getFieldDimension() const
                 { return Vector2(this->fieldWidth_, this->fieldHeight_); }
-
             void setWidth(const float width)
                 { this->width_ = width; }
@@ -97,22 +68,17 @@
 
             virtual void setProperties(float newLeftBoundary, float newRightBoundary, float newLowerBoundary, float newUpperBoundary, float newHSpeed, float newVSpeed);
-
-            void setFigure(WeakPtr<JumpFigure> bats); //!< Set the bats for the ball.
+            void setFigure(WeakPtr<JumpFigure> bats);
             virtual void touchFigure();
             bool dead_;
         protected:
-
             float width_;
             float height_;
-
-            float fieldWidth_; //!< The width of the playing field.
-            float fieldHeight_; //!< The height of the playing field.
-
+            float fieldWidth_;
+            float fieldHeight_;
             float leftBoundary_;
             float rightBoundary_;
             float lowerBoundary_;
             float upperBoundary_;
-
-            WeakPtr<JumpFigure> figure_; //!< An array with the two bats.
+            WeakPtr<JumpFigure> figure_;
     };
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpFigure.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpFigure.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpFigure.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpFigure.cc
-    @brief Implementation of the JumpFigure class.
+    @brief This class represents your figure when you play the minigame. Here the movement of the figure, activating items, ... are handled.
 */
 
@@ -41,18 +41,13 @@
     RegisterClass(JumpFigure);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpFigure::JumpFigure(Context* context) : ControllableEntity(context)
     {
         RegisterObject(JumpFigure);
 
+		// initialize variables
         leftHand_ = NULL;
         rightHand_ = NULL;
-
         fieldHeight_ = 0;
         fieldWidth_ = 0;
-
         jumpSpeed_ = 0.0;
         handSpeed_ = 0.0;
@@ -62,21 +57,17 @@
         propellerPos_ = 0.0;
         bootsPos_ = 0.0;
-
-        moveUpPressed = false;
-        moveDownPressed = false;
-        moveLeftPressed = false;
-        moveDownPressed = false;
-        firePressed = false;
-        fireSignal = false;
-        timeSinceLastFire = 0.0;
-
-        gravityAcceleration = 8.0;
+        moveUpPressed_ = false;
+        moveDownPressed_ = false;
+        moveLeftPressed_ = false;
+        moveDownPressed_ = false;
+        firePressed_ = false;
+        fireSignal_ = false;
+        timeSinceLastFire_ = 0.0;
+        gravityAcceleration_ = 8.0;
         mouseFactor_ = 75.0;
-        maxFireRate = 0.3;
-
+        maxFireRate_ = 0.3;
         handAngle_ = 0.0;
         animateHands_ = false;
         turnUp_ = false;
-
         rocketActive_ = false;
         propellerActive_ = false;
@@ -85,12 +76,7 @@
         rocketSpeed_ = 0.0;
         propellerSpeed_ = 0.0;
-
         dead_ = false;
     }
 
-    /**
-    @brief
-        Method to create a JumpCenterpoint through XML.
-    */
     void JumpFigure::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -110,19 +96,11 @@
     }
 
-    /**
-    @brief
-        Is called each tick.
-        Moves the bat.
-    @param dt
-        The time since last tick.
-    */
     void JumpFigure::tick(float dt)
     {
     	SUPER(JumpFigure, tick, dt);
 
-        // If the bat is controlled (but not over the network).
         if (hasLocalController())
         {
-        	timeSinceLastFire += dt;
+        	timeSinceLastFire_ += dt;
 
         	// Move up/down
@@ -138,5 +116,5 @@
         	else
         	{
-        		velocity.z -= gravityAcceleration;
+        		velocity.z -= gravityAcceleration_;
         	}
 
@@ -174,5 +152,5 @@
         	if (dead_ == false)
         	{
-        		velocity.x = -mouseFactor_*horizontalSpeed;
+        		velocity.x = -mouseFactor_*horizontalSpeed_;
         	}
         	else
@@ -182,24 +160,23 @@
 
         	// Cheats
-        	if (moveUpPressed == true)
-        	{
-        		velocity.z = 200.0f;
-        		moveUpPressed = false;
+        	/*if (moveUpPressed_ == true)
+        	{
+        		velocity.z = 400.0f;
+        		moveUpPressed_ = false;
         		dead_ = false;
         	}
-        	if (moveDownPressed == true)
-        	{
-        		moveDownPressed = false;
-        	}
+        	if (moveDownPressed_ == true)
+        	{
+        		moveDownPressed_ = false;
+        	}*/
 
         	setVelocity(velocity);
 
 
-        	if (firePressed && timeSinceLastFire >= maxFireRate)
-        	{
-				firePressed = false;
-				timeSinceLastFire = 0.0;
-				fireSignal = true;
-				//orxout() << "fired signal set" << endl;
+        	if (firePressed_ && timeSinceLastFire_ >= maxFireRate_)
+        	{
+				firePressed_ = false;
+				timeSinceLastFire_ = 0.0;
+				fireSignal_ = true;
         	}
         }
@@ -218,9 +195,9 @@
 
         // Reset key variables
-        moveUpPressed = false;
-        moveDownPressed = false;
-        moveLeftPressed = false;
-        moveDownPressed = false;
-        firePressed = false;
+        moveUpPressed_ = false;
+        moveDownPressed_ = false;
+        moveLeftPressed_ = false;
+        moveDownPressed_ = false;
+        firePressed_ = false;
     }
 
@@ -365,43 +342,29 @@
     }
 
-    /**
-    @briefhandPosition_
-        Overloaded the function to steer the bat up and down.
-    @param value
-        A vector whose first component is the inverse direction in which we want to steer the bat.
-    */
     void JumpFigure::moveFrontBack(const Vector2& value)
     {
     	if (value.x > 0)
     	{
-    		//orxout() << "up pressed" << endl;
-    		moveUpPressed = true;
-    		moveDownPressed = false;
+    		moveUpPressed_ = true;
+    		moveDownPressed_ = false;
     	}
     	else
     	{
-    		//orxout() << "down pressed" << endl;
-    		moveUpPressed = false;
-    		moveDownPressed = true;
-    	}
-    }
-
-    /**
-    @brief
-        Overloaded the function to steer the bat up and down.
-    @param value
-        A vector whose first component is the direction in which we wnat to steer the bat.
-    */
+    		moveUpPressed_ = false;
+    		moveDownPressed_ = true;
+    	}
+    }
+
     void JumpFigure::moveRightLeft(const Vector2& value)
     {
     	if (value.x > 0)
     	{
-    		moveLeftPressed = false;
-    		moveRightPressed = true;
+    		moveLeftPressed_ = false;
+    		moveRightPressed_ = true;
     	}
     	else
     	{
-    		moveLeftPressed = true;
-    		moveRightPressed = false;
+    		moveLeftPressed_ = true;
+    		moveRightPressed_ = false;
     	}
     }
@@ -409,5 +372,5 @@
     void JumpFigure::rotateYaw(const Vector2& value)
     {
-    	horizontalSpeed = value.x;
+    	horizontalSpeed_ = value.x;
     }
 
@@ -426,11 +389,10 @@
     void JumpFigure::fire(unsigned int firemode)
     {
-    	//SUPER(JumpFigure, fire, firemode);
+
     }
 
     void JumpFigure::fired(unsigned int firemode)
     {
-    	//SUPER(JumpFigure, fired, firemode);
-    	firePressed = true;
+    	firePressed_ = true;
     }
 }
